## discover1 1.6.1ubuntu6

=== debian/changelog ===
discover1 (1.6.1ubuntu6) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:53:25 -0400

discover1 (1.6.1ubuntu5) warty; urgency=low

  * Fix the vendor default to only pick up devices of the same class; missing
    half an if clause.

 -- Daniel Stone <daniels@debian.org>  Fri,  3 Sep 2004 19:54:40 +1000

discover1 (1.6.1ubuntu4) warty; urgency=low

  * discover/discover.init: pretty initscript 

 -- Nathaniel McCallum <npmccallum@canonical.com>  Thu,  2 Sep 2004 17:37:06 -0400

discover1 (1.6.1ubuntu3) warty; urgency=low

  * Add vendor fallthroughs for PCI cards; e.g. use 'ati' driver for all
    1002:* cards we don't already have an explicit entry for.

 -- Daniel Stone <daniels@debian.org>  Wed, 18 Aug 2004 03:52:39 +0100

discover1 (1.6.1ubuntu2) warty; urgency=low

  * Disable the init script entirely

 -- Matt Zimmerman <mdz@alcor.net>  Wed,  4 Aug 2004 09:55:43 -0700

discover1 (1.6.1ubuntu1) warty; urgency=low

  * skip i810_audio by default; hotplug handles it just fine

 -- Matt Zimmerman <mdz@alcor.net>  Fri, 30 Jul 2004 14:51:44 -0700

discover1 (1.6.1) unstable; urgency=low

  * Joshua Kwan
    - Guess what, the buildd is sparc64-unknown-linux-gnu, not
      sparc-linux-gnu. Enables sbus support for real.
    - If /dev/openprom doesn't work, try /dev/misc/openprom.
      devfs sucks!
    - If one walked walked nextnode before perusing the PROM property,
      the memory pointed to by prop would be trashed. strndup it, then
      walk.
    - Merge a few of the experimental build fixes that were backed
      out to make 1.6.0 a palatable release, to allow cross compilation.
  * Christian Perrier
    - Added Korean debconf and programs. Closes: #254860
    - Added a few languages forgotten in LINGUAS

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 17 Jun 2004 21:17:03 -0700

discover1 (1.6.0) unstable; urgency=low

  * Joshua Kwan
    - New upstream release to flush out all the crap that's been appearing
      in our Debian diffs. Make it Debian native.
    - Add SBUS support thanks to a joint effort with Jurij Smakov
      <jurij@wooyd.org>. This changes my_malloc to behave like calloc
      in that it clears the allocated memory to zero.
    - Revise configure.ac a little bit.
    - Add a versioned dependency on the version of discover1-data which
      contains the sbus.lst file.
    - Allow debug mode to actually happen.
    - Do not reap /media mount points if they are mounted with something
      else, which would cause the postinst to fail because the init did,
      in a d-i environment.. (Closes: #253736)
  * Translations
    - Added Hebrew. Closes: #253184
    - Added Bosnian (program and debconf...partial)

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 16 Jun 2004 11:20:37 -0700

discover1 (1.5-12) unstable; urgency=low

  * Petter Reinholdtsen
    - Rewrote build rule for libdiscover1-pic, trying to get it
      working properly. (Closes: #252180)
    - Ran autoreconf and updated build system to avoid warning from
      autoheader.
    - Avoid using 'cut' in the init.d script, as this program is
      missing if /usr/ isn't mounted yet.  Document other issues like
      this.  (Related to bug #248923)
  * Translations
    - Updated Brazilian Portuguese. Closes: #251957
    - Updated Greek translation by Konstantinos Margaritis
    - Updated Polish translation by Szymon Nieradka. Closes: #252218

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Jun 2004 00:45:01 -0300

discover1 (1.5-11) unstable; urgency=low

  * Petter Reinholdtsen
    - Remove discover1.override references.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 May 2004 13:27:30 -0300

discover1 (1.5-10) unstable; urgency=low

  * Gaudenz Steinlin
    - Change default CD-ROM mountpoint base to /media (Closes: #245898)
  * Petter Reinholdtsen
    - Fix code reading the info returned from SCSI_IOCTL_GET_IDLUN
      ioctl and avoid alignment problem on alpha. (Closes: #243310)
    - Updated translation files to reflect recent string changes.
    - Add new languages to language list in configure.ac. (Closes: #242358)
    - Updated build system, regenerated autoconf/automake files.
    - Correct install rule for /usr/share/discover/linuxrc.  (Fixing
      bug #152604 properly)
    - Add reportbug script including hardware info in the bug report.
      Using the script from discover1-data >= 1.2004.02.08-6.
    - Add myself as uploader to make sure bugs are closed on my uploads.
  * Christian Perrier
    - Removed a trailing space in templates. Unfuzzied translations
      when fuzzied by this change.
  * Translations
    - Nikolai Prokoschenko
      Russian debconf templates. Closes: #237880, #249300
    - Dennis Stampfer
      Update German translation po/de.po.
    - Marek Laska
      Initial Polish debconf translation (debian/po). Closes: #244381
    - Piarres Beobide Egaña
      Initial Basque translations. Closes: #244868
    - Miroslav Kure
      Updated Czech translation. Closes: #246817
    - Carlos Z.F. Liu
      Updated Simplified Chinese translation (debian/po/zh_CN.po).
    - Nuno Senica
      - Updated Portuguese debconf translation (debian/po/pt.po). Closes: #247296
    - Christian Perrier
      - Updated French debconf translation (debian/po/fr.po).
    - Claus Hindsgau
      - Updated Danish debconf translation (debian/po/da.po). Closes: #247358
    - Miroslav Kure
      - Updated Czech debconf translation (debian/po/cs.po). Closes: #248647
    - Javier Fernández-Sanguino Peña
      - Updated programs Spanish transltion. Closes: #249448
      - Updated debconf Spanish translation. Closes: #249449
    - Kestutis Biliunas
      - Updated debconf Lithuanian translation. Closes: #249901
    - Håvard Korsvol
      - Updated debconf Norwegian Bokmal translation. Closes: #251113
      - Updated programs Norwegian Bokmal translation.
    - Peter Mann
      - Updated debconf and programs translation. Closes: #251675

