=== debian/control ===
Source: discover1
Section: admin
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Nusinow <david_nusinow@yahoo.com>, Gaudenz Steinlin <gaudenz@soziologie.ch>, Petter Reinholdtsen <pere@debian.org>, Joshua Kwan <joshk@triplehelix.org>
Build-Depends: debhelper (>= 4.1.16), gettext
Standards-Version: 3.6.1.0

Package: discover1
Architecture: any
Depends: ${shlibs:Depends}, debconf (>> 0.5), dash | ash, lsb-base (>= 1.3-9ubuntu3)
Conflicts: discover, libdiscover2
Description: hardware identification system
 Discover is a hardware identification system based on the libdiscover1
 library.  Discover provides a flexible interface that programs can use to
 report a wide range of information about the hardware that is installed on a
 Linux system.  In addition to reporting information, discover includes
 support for doing hardware detection at boot time.  Detection occurs in two
 stages: The first stage, which runs from an initial ramdisk (initrd), loads
 just the drivers needed to mount the root file system, and the second stage
 loads the rest (ethernet cards, sound cards, etc.).

Package: libdiscover1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.02.08-8)
Description: hardware identification library
 libdiscover1 is a library enabling identification of various PCI, PCMCIA, and
 USB devices.

Package: libdiscover1-dev
Section: libdevel
Architecture: any
Depends: libdiscover1 (= ${Source-Version}), libc6-dev
Replaces: libdiscover0, libdiscover0-dev
Conflicts: libdiscover-dev
Description:  hardware identification library development files
 libdiscover1 is a library enabling identification of various PCI, PCMCIA, and
 USB devices.
 .
 This package contains the header files and static libraries needed for
 development.

Package: libdiscover1-pic
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: hardware identification library - static PIC version
 libdiscover1 is a library enabling identification of various PCI, PCMCIA, and
 USB devices.
 .
 This package contains a static version of the library containing
 position-independent code, used to develop subsets of the discover shared
 library for use on custom installation disks and in embedded systems.  Unless
 you're making one of those, you won't need this package.

Package: discover1-udeb
Section: debian-installer
Priority: extra
Architecture: any
XC-Package-Type: udeb
Provides: discover
Depends: ${shlibs:Depends}, discover1-data-udeb
Description: hardware identification library (udeb)
 Discover is a hardware identification system based on the libdiscover1
 library.  Discover provides a flexible interface that programs can use to
 report a wide range of information about the hardware that is installed on a
 Linux system.  In addition to reporting information, discover includes
 support for doing hardware detection at boot time.  Detection occurs in two
 stages: The first stage, which runs from an initial ramdisk (initrd), loads
 just the drivers needed to mount the root file system, and the second stage
 loads the rest (ethernet cards, sound cards, etc.).
 .
 This contains the udeb, which is used for the debian-installer
 installation system.  It won't work well on a normal debian system.
