## discover1 1.7.6ubuntu3

=== debian/changelog ===
discover1 (1.7.6ubuntu3) hoary; urgency=low

  * Unconditionally set result->type in lib/pci.c, so cards get forced to
    type == unknown if this is the way it is in the config file.  If it's type
    == unknown, we're not going to get any other useful information (close:
    Ubuntu#6450).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue,  1 Mar 2005 00:14:23 +1100

discover1 (1.7.6ubuntu2) hoary; urgency=low

  * Remove update-initrd; it only causes confusion (we use mkinitrd)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 22 Jan 2005 11:27:50 -0800

discover1 (1.7.6ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Mon, 20 Dec 2004 12:46:19 +0000

discover1 (1.7.6) unstable; urgency=high

  * Joshua Kwan
    - Apply Eric Lavarde's patch to fix trying to access map variables
      for modules that contain dashes. closes: #284223, #285345

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 18 Dec 2004 12:33:51 -0800

discover1 (1.7.5ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Sat, 27 Nov 2004 12:45:33 +0000

discover1 (1.7.3ubuntu3) hoary; urgency=low

  * Remove the init script (again), it snuck back in during the merge

 -- Matt Zimmerman <mdz@canonical.com>  Sun, 31 Oct 2004 16:41:10 -0800

discover1 (1.7.3ubuntu2) hoary; urgency=low

  * debian/check-configure.sh: Be more relaxed about "ubuntuN"-style version
    numbers.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 19:10:35 +0100

discover1 (1.7.3ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 15:24:06 +0100

discover1 (1.7.5) unstable; urgency=medium

  * Joshua Kwan
    - Oops, s/-/_/g for mapped modules on 2.6 too.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 25 Nov 2004 01:46:58 -0800

discover1 (1.7.4) unstable; urgency=medium

  * Translations
    - Added Traditional Chinese debconf translation. Closes: #277875
  * Joshua Kwan
    - Add overarching module mapping support which specifically covers
      2.6's usb-uhci -> uhci-hcd, usb-ohci -> ohci-hcd at this point.
      closes: #277322
    - A new directory, /etc/discover.d/2.6/ is available for 2.6-specific
      discover configuration snippets, to accomodate the above change.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 25 Nov 2004 01:34:04 -0800

discover1 (1.7.3) unstable; urgency=high

  * Joshua Kwan
    - Apply Thomas Hood's patch to use run-parts in /etc/discover.d.
      closes: #276475
    - Add Depends on discover1-data for discover1. closes: #276474
    - Add || true to mountsent variable assignment from grep. Oops.
      closes: #276722

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 17 Oct 2004 14:25:35 -0700

discover1 (1.7.2) unstable; urgency=medium

  * Joshua Kwan
    - Allow configuration reading from /etc/discover.d, so we can put an
      ALSA blacklist into there. Tweak the init script (makes it somewhat
      better in general anyway.) reassigns to alsa-base: #220616, #265845
    - Move update-initrd into /usr/sbin. closes: #273834
    - Remove extraneous use of cut in init script, tighten the grep pattern
      that piped to cut instead. tags to +woody: #248923 
    - Tweak rules so we don't use a configure-stamp when config.status is
      perfectly adequate. Also don't call check-configure in clean, but in
      the config.status target.
  * Translations
    - Update Italian. Closes: #274822
    - Added Arabic from Arabeyes repository
    - Updated Polish. Closes: #275672
    - Added Romanian debconf translation. Closes: #275698

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 13 Oct 2004 14:26:10 -0700

discover1 (1.7.1) unstable; urgency=high

  * Gaudenz Steinlin
    - Default discover/manage_cdrom_devices to false; do not try to manage
      cdrom mount points as this breaks systems installed by d-i if discover
      does not for whatever reason detect the CD. Thanks to joeyh for the
      patch.
  * Translations
    - Update Hebrew. Closes: #274239

 -- Gaudenz Steinlin <gaudenz@soziologie.ch>  Thu, 30 Sep 2004 22:47:39 +0200

discover1 (1.7.0) unstable; urgency=low

  * Gaudenz Steinlin
    - Add support for additional list for kernel 2.6
      The lists for 2.6 are (pci|usb|sbus|pcmcia)-26.lst
      This needs discover1-data >= 1.2004.09.24
      The 2.6 list are loaded as additions to the normal lists.
    - Applied patch from Otavio Salvador to init script to
      make device directories when used with udev on fast
      machines (Closes: #268186).
  * Translations
    - Update Croatian translation hr.po by Krunoslav Gernhard
    - Update Turkish translations (programs and debconf) by Recai Oktas
      Closes: #271227
    - Update Italian programs translation. Closes: #271353
    - Update Russian translations. Closes: #271304
    - Update Swedish translations by Per Olofsson. Closes: #272381
    - Update Japanese debconf translation by Kenshi Muto. Closes: #272447

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 27 Sep 2004 18:08:05 -0700

discover1 (1.6.6) unstable; urgency=high

  * Translations
    - Initial Albanian debconf and program translation by Elian Myftiu.
      Closes: #261825
    - Slovak debconf and program by Peter Mann. Closes: #269206
    - Norwegian Bokmal and Nynorsk updated. Closes: #269960
  * Joshua Kwan
    - Fix broken sbus detection on sparc64.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 26 Aug 2004 22:25:31 -0700

discover1 (1.6.5) unstable; urgency=low

  * Translations
    - Debconf
      - Updated Indonesian.
      - Updated German. Closes: #260217
      - Updates Finnish.
    - Programs
      - Updated Spanish (closes: #259622)
      - Updated Indonesian.
      - Updates Finnish.
      - Updated German by Dennis Stampfer
      - Updated Czech by Miroslav Kure. Closes: #260863
      - Updated Brazilian Portuguese (pt_BR) by Andre Luis Lopes
        Closes: #261279
      - Updated Basque. Closes: #261374

