## discover1 1.7.6ubuntu5

=== debian/changelog ===
discover1 (1.7.6ubuntu5) breezy; urgency=low

  * Import sparc fixes from upstream:
    - Fix close(fd) position while parsing SBUS bus.
    - Import support for multiple SBUS scan.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 28 Sep 2005 20:13:40 +0200

discover1 (1.7.6ubuntu4) breezy; urgency=low

  * Make really, really, sure we only pick up video-class devices when
    searching for them (closes: Ubuntu#14053).  These semantics might break
    some other stuff.  discover's code is arguably terminally broken anyway.
  * Which revealed a problem with the creaky old PCI detection code.  Mask
    both arguments from reading the class out of PCI config space with 0xff so
    that we only get the bits we want.  Add some happy fun debugging
    statements.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 24 Aug 2005 21:49:47 +1000
