=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: discover1
 Architecture: any
-Depends: ${shlibs:Depends}, debconf (>> 0.5), dash | ash, lsb-base (>= 1.3-9ubuntu3)
+Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24), debconf (>> 0.5), dash | ash, lsb-base (>= 1.3-9ubuntu3)
 Conflicts: discover, libdiscover2
 Description: hardware identification system
  Discover is a hardware identification system based on the libdiscover1
@@ -23,7 +23,7 @@
 Package: libdiscover1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.02.08-8)
+Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24)
 Description: hardware identification library
  libdiscover1 is a library enabling identification of various PCI, PCMCIA, and
  USB devices.
@@ -61,8 +61,8 @@
 Architecture: any
 XC-Package-Type: udeb
 Provides: discover
-Depends: ${shlibs:Depends}, discover1-data-udeb
-Description: hardware identification library (udeb)
+Depends: ${shlibs:Depends}, discover1-data-udeb (>= 1.2004.09.24)
+Description: hardware identification library (udeb) 
  Discover is a hardware identification system based on the libdiscover1
  library.  Discover provides a flexible interface that programs can use to
  report a wide range of information about the hardware that is installed on a
