## discover1 1.7.7

=== debian/changelog ===
discover1 (1.7.7) unstable; urgency=medium

  * Translations
    - Updated Japanese, thanks Kenshi. closes: #290024
    - Added Tagalog translations. Closes: #292012
    - Updated Traditional Chinese for programs. Closes: #292598
  * Joshua Kwan
    - Do a NULL-check after a getline call that might potentially fail
      and cause a sscanf(NULL, ...). closes: #292224
    - Don't generate .cvsignore files anymore.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu,  3 Feb 2005 09:26:05 -0800
