=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: discover1
 Architecture: any
-Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24), debconf (>> 0.5), dash | ash, lsb-base (>= 1.3-9ubuntu3)
+Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24), debconf (>> 0.5), dash | ash
 Conflicts: discover, libdiscover2
 Description: hardware identification system
  Discover is a hardware identification system based on the libdiscover1
