=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 else
 	optimize = -O2
 endif
+
+configure:
+	sh autogen.sh
 
 config.status: configure
 	dh_testdir
@@ -66,7 +69,7 @@
 	# reportbug helper script
 	install -m 755 debian/discover1.bug debian/discover1/usr/share/bug/discover1
 
-	rm -f debian/tmp/sbin/update-initrd
+	mv debian/tmp/sbin/update-initrd debian/discover1/usr/sbin/
 
 # discover1-udeb
 	cp -a lib/.libs/*.so* $(CURDIR)/debian/discover1-udeb/lib
@@ -87,7 +90,7 @@
 
 	dh_installdocs
 	dh_installchangelogs
-	#dh_installinit --name=discover --no-start --update-rcd-params="start 36 S ."
+	dh_installinit --name=discover --no-start --update-rcd-params="start 36 S ."
 	dh_strip -Ndiscover1-udeb
 	dh_compress  -Ndiscover1-udeb
 	dh_fixperms -Ndiscover1-udeb
