## discover1 1.7.18~bpo.1

=== debian/changelog ===
discover1 (1.7.18~bpo.1) sarge-backports; urgency=low

  * Rebuild for sarge.
  * Autoreconf'd to deal w/ the version change.
  * Fix CFLAGS quoting in debian/rules to work around a bug in gcc 3 (ugh!).

 -- Andres Salomon <dilinger@debian.org>  Fri, 18 Aug 2006 03:40:47 +0000

discover1 (1.7.18) unstable; urgency=low

  [ Otavio Salvador ]
  * Improve autogen.sh script to make sure that we include all need files.
  * Change debhelper compatibility level to 4. I'll keep it until Etch is
    released.

  [ Joey Hess ]
  * Produce a nice clean libdiscover1-udeb and make discover1-udeb
    depend on that.
  * remove debian/libdiscover1.shlibs to allow for dh_makeshlibs do its magic
  * Fix the description of discover1-udeb

 -- Christian Perrier <bubulle@debian.org>  Tue, 28 Mar 2006 13:31:41 +0200

discover1 (1.7.17) unstable; urgency=low

  [ Otavio Salvador ]
  * Rerun autogen.sh to fix build failures. Closes: #340786
  * Add paths.h in lib/Makefile.am.
  * Fix compile warnings about incompatible pointer types.
  
  [ Christian Perrier ]
  * Translations:
    - Korean updated. Closes: #340943
    - Galician updated. Closes: #341384
    - Bulgarian and Belarusian converted to portable UTF-8 instead of
      windows-1251
    - Complete Project-Id-Version for Japanese

 -- Otavio Salvador <otavio@debian.org>  Fri,  2 Dec 2005 11:19:56 -0200

discover1 (1.7.16) unstable; urgency=low

  * Bump libdiscover1 dependencie since on 1.7.10 was added new
    symbols. Thanks to Daniel Stone <daniels@debian.org> by notice
    it. (closes: #338359)
  * Add LSB formated dependency information info in init.d script. Thanks
    to Petter Reinholdtsen <pere@hungry.com> by the need
    information. (closes: #335323)
  * Applied patch from Jurij Smakov <jurij@wooyd.org> to fix SBUS
    detection. (closes: #339565)

 -- Otavio Salvador <otavio@debian.org>  Fri, 25 Nov 2005 09:14:13 -0200

discover1 (1.7.15) unstable; urgency=medium

  * Fix FTBFS on sparc, add arch-specific hw lists for sbus, which 
    is pointless, but to least intrusive fix without changing the whole 
    broken init_lst function. (Closes: #333217)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Wed, 12 Oct 2005 11:39:02 +0200

discover1 (1.7.14) unstable; urgency=low

  * add support for arch specific device lists
  * remove unused prototypes form lib/utils.h
  * update adress of FSF in copyright
  * remove old comments in lib/utils.h. They are 
    no longer needed and confuse translators. (closes: #307164)
  * applied patch from Nick Leverton to write the 
    crashfile in /lib/discover. (closes: #326412)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 25 Sep 2005 14:57:16 +0200

discover1 (1.7.13) unstable; urgency=medium

  [ Joshua Kwan ]
  * Fix an bug that was oddly evaded before, by including a M4 macro to
    expand $datadir to /usr/share/discover from ${prefix}/share/discover.
    Otherwise, discover would happily go looking for
    ${prefix}/share/discover/pci.lst, etc.!
  * Fix a crasher on sparc by moving an fclose() to the correct braces.
    closes: #323250

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 18 Aug 2005 10:47:47 -0700

discover1 (1.7.12) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Fix lib/ide.c(ide_detect) to avoid leaking a file descriptor for
    /proc/ide/ when failing to read the IDE directories.
  * Fix lib/serial.c(serial_detect) to avoid leaking a file descriptor
    for /dev/ttyS* when the device is not available.
  * Fix lib/pcmcia.c(pcmcia_detect) to avoid leaking file descriptors
    for the probe socket.
  * Avoid some compile time warnings by adding 'const' in some places
    in need of it.
  
  [ Otavio Salvador ]
  * Remove $id$ keyword from configuation file to avoid unnecessary user
    iteration on upgrade. Closes: #319350.
  * Fix a typo on configuration file.

 -- Otavio Salvador <otavio@debian.org>  Sun, 31 Jul 2005 14:28:03 -0300

discover1 (1.7.11) unstable; urgency=medium

  [ Otavio Salvador ]
  * Add myself on uploaders field.

  [ Joshua Kwan ]
  * Fix sparc FTBFS due to reworking of the code that would end up in
    USE_SBUS being defined. Use a different, cleaner codepath for this.
    (closes: #319148)
  * Bump Standards-Version to 3.6.2.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 20 Jul 2005 08:32:28 -0700

discover1 (1.7.10) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Convert init.d script to use Linux Software Base functions when
    present.  Add suggest on lsb-base.  Based on patches from Nathaniel
    McCallum and Ubuntu.
  
  [ Otavio Salvador ]
  * Change the library place from /usr/lib to /lib due the need of access
    it before all partitions mounted. (Closes: #316808, #317381)
  * Change database location to /lib/discover so it will be available
    before all partitions mounted.
  * Fix some warnings about signedness while compiling with gcc-4.0.
  * Improve the code of handle card lists to use a function instead of
    repeat the code every time. This need more work since it can be a lot
    improved and simplified but already is a start ;-)
  * Implement the possibility to have more then one hardware database
    file. This will make discover backward compatible. It also adds
    /etc/discover/ to the database search path to allow the admin or a CDD
    to add specific hardware entries and override the database without
    needing to change the discover1-data package.
  * Fix the code of debugging of pcmcia detection since it segfault when
    you called it from a machine without support for it.
  * Include i8xx-tco to skip list since it was renamed from i810-tco and
    that was also skiped. (Closes: #311220)

 -- Otavio Salvador <otavio@debian.org>  Tue, 12 Jul 2005 19:34:51 +0300

discover1 (1.7.9) unstable; urgency=low

  * Add vendor fallthroughs for PCI cards; use a given driver for all
    cards from a given vendor we don't already have an explicit entry
    for.  Only pick defaults of the same class as the device at hand.

