## discover1 1.7.18ubuntu1

=== debian/changelog ===
discover1 (1.7.18ubuntu1) edgy; urgency=low

  * Sync with Debian

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 10 Jul 2006 11:23:36 +0200

discover1 (1.7.15ubuntu1) dapper; urgency=low

  * Resynchronise with Debian (closes: Ubuntu#19161).
  * Bump shlibs entry for libdiscover1, as pci_lst_list was only added in
    1.7.10.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 10 Nov 2005 06:29:10 +1100
