=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: discover1
 Architecture: any
-Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24)
+Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24), lsb-base (>= 1.3-9ubuntu3)
 Suggests: lsb-base
 Conflicts: discover, libdiscover2
 Description: hardware identification system
