=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 	sh debian/check-configure.sh
 
-	CFLAGS='$(optimize) -g -Wall -DDEBIAN_ARCH='"\\\"\""'$(ARCH)'"\\\"\"" ./configure $(crossflags) --prefix=/usr \
+	CFLAGS='$(optimize) -g -Wall -DDEBIAN_ARCH=\"$(ARCH)\"' ./configure $(crossflags) --prefix=/usr \
 		--sbindir=/sbin \
 		--sysconfdir=/etc \
 		--libdir=/lib \
@@ -84,7 +84,7 @@
 
 	dh_installdocs
 	dh_installchangelogs
-	dh_installinit --name=discover --no-start --update-rcd-params="start 36 S ."
+#	dh_installinit --name=discover --no-start --update-rcd-params="start 36 S ."
 	dh_strip
 	dh_compress
 	dh_fixperms
