## discover1 1.7.19

=== debian/changelog ===
discover1 (1.7.19) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Correct dependency and runlevel info in the init.d script LSB header.
  * Make sure init.d script only try to run when discover v1 is installed.

  [ Otavio Salvador ]
  * Change autogen.sh to use automake 1.9 instead of 1.7.

 -- Otavio Salvador <otavio@debian.org>  Mon, 23 Oct 2006 16:26:23 -0300
