=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 	install -m 755 debian/discover1.bug debian/discover1/usr/share/bug/discover1
 
 	# udebs
+	mkdir -p debian/libdiscover1-udeb/lib
 	cp -a lib/.libs/*.so* $(CURDIR)/debian/libdiscover1-udeb/lib
 	rm -f $(CURDIR)/debian/libdiscover1-udeb/lib/*.so
 	cp -a $(CURDIR)/debian/tmp/sbin/discover \
@@ -84,7 +85,7 @@
 
 	dh_installdocs
 	dh_installchangelogs
-#	dh_installinit --name=discover --no-start --update-rcd-params="start 36 S ."
+	dh_installinit --name=discover --no-start --update-rcd-params="start 36 S ."
 	dh_strip
 	dh_compress
 	dh_fixperms
