## discover1 1.7.20ubuntu1

=== debian/changelog ===
discover1 (1.7.20ubuntu1) feisty; urgency=low

  * Merge with Debian, remaining changes:
    - We want lsb-base still
    - Don't install the init-script
    - Skip i810_audio by default; hotplug handles it just fine
    - Strip [a-z] from version number too

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 27 Mar 2007 15:15:13 +0300

discover1 (1.7.20) unstable; urgency=medium

  * Urgency medium as the fix for #415620 improves X detection during
    installation and should be included in etch.
  * Correct code reading the busclass for devices with unknown busclass in
    the lst file.  Patch from Jim Paris. (Closes: #415620)
  * Correct example in discover.conf.  (Closes: #383864)
  * Update init.d script to keep running even if /proc/modules
    is missing. (Closes: #392314)
  * The init.d script now refuses to run if discover v1 isn't installed.
    It should take care of most of the problem when replacing discover1
    with discover. (Closes: #386679)
  * The udeb dependency is now correct, it was fixed in
    version 1.7.18. (Closes: #359333)
  * Modify debian/check-configure.sh to handle binary NMUs by ignoring
    everything after '+' in the debian/changelog version. (Closes: #359649)
  * Greek translation is now updated. (Closes: #344645)
  * Updated from standards-version 3.6.2 to 3.7.2.  No change needed.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 23 Mar 2007 09:26:54 +0100
