=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: discover1
 Section: admin
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>
 Build-Depends: debhelper (>= 5.0.22), gettext
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: discover1
 Architecture: any
-Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24)
+Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24), lsb-base (>= 1.3-9ubuntu3)
 Suggests: lsb-base
 Conflicts: discover, libdiscover2
 Description: hardware identification system
