=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,7 @@
 
 	dh_installdocs
 	dh_installchangelogs
-	dh_installinit --name=discover --no-start --update-rcd-params="start 36 S ."
+#	dh_installinit --name=discover --no-start --update-rcd-params="start 36 S ."
 	dh_strip
 	dh_compress
 	dh_fixperms
