## discover1 1.7.21ubuntu1

=== debian/changelog ===
discover1 (1.7.21ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining changes:
    - debian/control:
      We want lsb-base still.
    - debian/{rules,discover1.postinst}:
      Don't install the init-script.
    - discover/discover.conf:
      Skip i810_audio by default; hotplug handles it just fine.
    - debian/check-configure.sh:
      Strip [a-z] from version number too.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 21 May 2007 18:10:09 +0300

discover1 (1.7.21) unstable; urgency=low

  * Remove udeb build rules.  This package is no longer used by debian-installer.
  * Make sure ${prefix} isn't part of the data path compiled into
    the program. (Closes: #418526)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 28 Apr 2007 11:58:06 +0200
