=== debian/control ===
--- 
+++ 
@@ -55,20 +55,3 @@
  library for use on custom installation disks and in embedded systems.  Unless
  you're making one of those, you won't need this package.
 
-Package: discover1-udeb
-Section: debian-installer
-Priority: extra
-Architecture: any
-XC-Package-Type: udeb
-Provides: discover
-Depends: ${shlibs:Depends}, discover1-data-udeb (>= 1.2004.09.24)
-Description: hardware identification system (udeb)
-
-Package: libdiscover1-udeb
-Section: debian-installer
-Priority: extra
-Architecture: any
-XC-Package-Type: udeb
-Provides: libdiscover1
-Depends: ${shlibs:Depends}, discover1-data-udeb (>= 1.2004.09.24)
-Description: hardware identification library (udeb)
