=== debian/rules ===
--- 
+++ 
@@ -67,13 +67,6 @@
 	# reportbug helper script
 	install -m 755 debian/discover1.bug debian/discover1/usr/share/bug/discover1
 
-	# udebs
-	mkdir -p debian/libdiscover1-udeb/lib
-	cp -a lib/.libs/*.so* $(CURDIR)/debian/libdiscover1-udeb/lib
-	rm -f $(CURDIR)/debian/libdiscover1-udeb/lib/*.so
-	cp -a $(CURDIR)/debian/tmp/sbin/discover \
-		$(CURDIR)/debian/discover1-udeb/sbin
-
 binary-indep:
 # Ye olde no-op.
 
@@ -89,7 +82,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms 
-	dh_makeshlibs -plibdiscover1 --add-udeb=libdiscover1-udeb
+	dh_makeshlibs -plibdiscover1
 	dh_installdeb
 	dh_shlibdeps -ldebian/libdiscover1/usr/lib
 	dh_gencontrol
@@ -97,4 +90,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install discover1-udeb non-discover1-udeb
+.PHONY: build clean binary-indep binary-arch binary install
